CHANGELOG
This changelog reflects changes in the documentation only, not in the API itself.
2026/02/24
RESOURCE:
SECTION:
DESCRIPTION:
- Changed webhook retry policy timeout from 10s to 3s.
2026/02/23
RESOURCE:
SECTION:
- Webhooks (Location)
- Available Events
- Payload Structure
- Parameters (Webhook)
DESCRIPTION:
- Added new Webhooks section to Location documentation.
- Documented three webhook events:
location/created,location/updated, andlocation/deleted. - Added complete payload structures with examples for each webhook event (fields:
store_id,event,id). - Added webhook registration instructions, required scopes (
read_locations,write_locations), and important considerations. - Updated Webhook resource events table adding
Location | created/updated/deleted. - Updated Webhook Parameters section with
location/created - location/updated - location/deletedparameter block and link to Location documentation.
2026/02/11
RESOURCE:
SECTION:
DESCRIPTION:
- Aligned webhook documentation with unstable: added Fulfillment Order to the events table with
status_updated,tracking_event_created,tracking_event_updated,tracking_event_deleted. Added Parameters sections forfulfillment_order/status_updated,fulfillment_order/tracking_event_created,fulfillment_order/tracking_event_updated,fulfillment_order/tracking_event_deleted, and link to Fulfillment Order documentation.
2026/02/10
RESOURCE:
SECTION:
DESCRIPTION:
- Added warning on updating fulfillment order to
DELIVERED: preferred approach is creating or updating tracking events with statusdelivered; when the system receives such an event (POST/PUT), it automatically sets the fulfillment order toDELIVEREDandfulfilled_atto the tracking event'shappened_at. - Unification (from unstable): Added Webhooks section with events
fulfillment_order/status_updatedandfulfillment_order/tracking_event_created,fulfillment_order/tracking_event_updated,fulfillment_order/tracking_event_deleted(payload: store_id, order_id, fulfillment_id, tracking_event_id, status). Label-related webhooks and label functionality are not included in this version.
2025/12/09
docs/resources/webhook.md RESOURCE:
SECTION:
DESCRIPTION:
- Removed the description that says the store/redact notification is sent in 48 hours and replaced it with "After a merchant uninstall your app, Nuvemshop|Tiendanube sends this webhook with the store ID so that you can delete the shopkeeper's information from your database."
2025/11/19
RESOURCE:
SECTION:
DESCRIPTION:
- Added comprehensive duplicate tracking event validation rules documentation.
2025/11/06
RESOURCE:
SECTION:
DESCRIPTION:
- Added documentation for hard limit of 10.000 items in query results. If a query exceeds this limit, the request will return the corresponding error. Users are advised to filter their queries using available parameters, such as completion date ranges, to reduce the number of results.
2025/10/22
RESOURCE:
SECTION:
DESCRIPTION:
- Clarification on the scope of POST, PUT, and DELETE endpoints (only for non-autoinstallable scripts)
2025/10/20
RESOURCE:
SECTION:
DESCRIPTION:
- Update the explanation of how the
qparameter works (it applies totagsinstead ofdescription).
2025/10/09
RESOURCE:
SECTION:
DESCRIPTION:
- Added
minimum_purchase_valuefield to installments specification. This field allows defining the minimum purchase value (inclusive) from which an installment option applies for each currency.
2025/09/24
RESOURCE:
SECTION:
DESCRIPTION:
- Added
app_idfield to Fulfillment Orders Shipping Carrier.
2025/09/23
RESOURCE:
SECTION:
DESCRIPTION:
- Added
payment_provider_tax_idfield to Transaction resource. - Added
authorization_codefield to Transaction Events resource. - Alter Payment provider installation guide to reflect the new changes
- Modified Create Transaction Event Postman default body to comply with the documentation.
2025/09/22
RESOURCE:
SECTION:
DESCRIPTION:
- Added estimated delivery date fields (shipping_min_days and shipping_max_days) for order creation.
- Removed native Apps as possible values within the payment method (gateway) and shipping method (shipping) fields.
2025/09/18
RESOURCE:
SECTION:
DESCRIPTION:
- Update shipping address number type.
2025/09/03
RESOURCE:
SECTION:
DESCRIPTION:
- Added new optional boolean field
only_cheapest_shippingto Coupon resource.
2025/08/29
RESOURCE:
- Disputes
DESCRIPTION:
- Remove Disputes resource documentation (for now it remains in the
unstableversion due to pending modifications).
2025/08/12
RESOURCE:
SECTION:
DESCRIPTION:
- Removing
allows_pickupfrom location properties.
2025/07/25
RESOURCE:
SECTION:
DESCRIPTION:
-
Added support for a new
cart_idfield in the payload sent to each application's callback_url during shipping quotation requests. -
The
cart_idfield may benullin some cases. -
Updated example for your_callback_url to reflect the inclusion of the
cart_idfield.
2025/06/25
RESOURCE:
SECTION:
DESCRIPTION: Clarified when the Cancel Payment API is triggered, detailing the specific error and timeout scenarios that prompt its invocation.
2025/06/24
RESOURCE:
SECTION:
- GET /fulfillment-orders
- GET /fulfillment-orders/{fulfillment_order_id}
- DELETE /fulfillment-orders/{fulfillment_order_id}
- POST /fulfillment-orders/{fulfillment_order_id}/tracking-events
- PUT /fulfillment-orders/{fulfillment_order_id}/tracking-events/{fulfillment_order_tracking_event_id}
- PATCH /fulfillment-orders/{fulfillment_order_id}
DESCRIPTION:
- The fixed API version and the
{store_id}parameter have been removed from the request examples for the following methods: GET, POST, DELETE, PATCH, and PUT.
2025/06/23
RESOURCE:
SECTION:
DESCRIPTION:
- This update adds a note clarifying that apps must request permission to access the Shipping scope through our public API. In order to use the Shipping endpoints, the app must be registered in the Partners Portal and have explicit authorization granted by our Partner Support Team.
2025/06/11
RESOURCE:
SECTION:
DESCRIPTION:
- Updated the Payment Provider guide to reflect an increased timeout duration (from 10 to 20 seconds) for the Process Payment, Cancel Payment, and Payment Status APIs.
2025/06/02
RESOURCE:
SECTION:
DESCRIPTION:
- Add a note clarifying that the example is for a single warehouse, and include a link to the documentation with an example for multiple warehouses.
2025/05/19
RESOURCE:
SECTION:
DESCRIPTION:
- Update Postman Collection with new API endpoints.
2025/05/05
RESOURCE:
SECTION:
DESCRIPTION:
- Clarification on API Default Result Limit.
2025/05/01
RESOURCE:
SECTION:
DESCRIPTION:
- Clarify that the
referencefield in shipping rates must be a non-null string for rates to be visible in the store.
2025/04/21
RESOURCE:
SECTION:
DESCRIPTION:
- Add two new items to the "Common problems" section:
- Curl request with
codeset to null - Requesting partner credentials when accepting the app installation
- Curl request with
2025/04/11
RESOURCE:
SECTION:
DESCRIPTION:
- Add clarification about the 800ms timeout.
2025/02/20
RESOURCE:
SECTION:
DESCRIPTION:
- Clarification about the 10,000ms timeout in Payment API.
2025/02/17
RESOURCE:
SECTION:
DESCRIPTION:
- We are adding the TrackingInfoHistory field. This field will be populated whenever a change occurs in TrackingInfo.
2025/01/30
RESOURCE:
SECTION:
DESCRIPTION:
- Remove the
has_multi_cdproperty.
2025/01/28
RESOURCE:
SECTION:
DESCRIPTION:
- Add the
same_billing_and_shipping_addressparameter documentation.
2025/01/24
RESOURCE:
SECTION:
DESCRIPTION:
- Decrease the maximum number of categories that can be created from 5000 to 1000
2025/01/24
RESOURCE:
SECTION:
DESCRIPTION:
- Add the
idsparameter to the GET /products endpoint. Up to 30idscan be included.
2025/01/14
RESOURCE:
SECTION:
DESCRIPTION:
- Add the
products.idfield, which identifies the line item ID. - Clarification on the data type of the products.id field (it can exceed int32).
2024/12/24
RESOURCE:
- Disputes
DESCRIPTION:
- Added Disputes resource documentation.
2024/12/20
RESOURCE:
SECTION:
DESCRIPTION:
- Clarification on sending the same
variant_idbut as separate items (differentpropertiesvalues).
2024/12/18
RESOURCE: resources/openapi/discounts/openapi.yml
DESCRIPTION:
- Add
combines_with_other_discountsattribute to the POST promotions payload
2024/12/05
RESOURCE:
SECTION:
DESCRIPTION:
- Add
origin.location_idandcarrierobject with its fields in the example.
2024/11/25
RESOURCE:
SECTION:
DESCRIPTION:
- Deprecation of
MARKED_AS_FULLFILEDstatus. TheMARKED_AS_FULLFILEDstatus was originally created to indicate "manual" actions to indicate that Fulfillment Orders were dispatched, but it has no practical use. The correct status to indicate that a Fulfillment Order was dispatched is theDISPATCHEDstatus. - Deprecation of the
READY_TO_SHIPstatus. TheREADY_FOR_SHIPstatus has no practical use, in fact its status can be considered the same asPACKED. - Create a guide for Fulfillment Order Status Workflow. Update the documentation indicating the workflow for the Fulfillment Order status by Fulfillment Order Shipping Types.
2024/11/06
RESOURCE: resources/discounts, resources/openapi/discounts/openapi.yml
DESCRIPTION:
- Remove
shipping_linevalue from allocation_type
2024/11/04
RESOURCE:
SECTION:
DESCRIPTION:
- Add that the API timeout is 800ms.
2024/10/28
RESOURCE:
SECTION:
DESCRIPTION:
- Updated Circuit Breaker doc to shipping carriers.
2024/10/28
RESOURCE:
SECTION:
DESCRIPTION:
- Added fields
accepts_marketingandaccepts_marketing_updated_at. Theaccepts_marketingfield is read-only in the API.
2024/10/28
RESOURCE:
SECTION:
- POST /v1/{store_id}/orders/{order_id}/fulfillment-orders/{fulfillment_order_id}/tracking-events
- PUT /v1/{store_id}/orders/{order_id}/fulfillment-orders/{fulfillment_order_id}/tracking-events/||{tracking_event_id}}
DESCRIPTION:
- Adding notes on create and update tracking events. Now, if the status is DELIVERED, the fulfillment order will be marked as DELIVERED and fulfilled.
- Adding notes on create tracking events. Now, tracking event will be limited to a maximum of 100 events. An additional 101st event may be delivered.
- Adding notes on create tracking events. Now, tracking event must differ from the previous one.
2024/10/01
RESOURCE:
DESCRIPTION:
- Add Products restriction to Coupon resource.
- Update displayed Category fields in Coupon API responses.
- Rewrite list of Coupon types.